1

I started getting the "An internal server error has occurred" error when I try to change Object Field Permission in a Permission Set in my Dev Org.

So when I am in a Permission Set and try to change some Object Field Permission I get the next error (in both Lightning and Classic):

An internal server error has occurred
An error has occurred while processing your request. The salesforce.com support team has been notified of the problem. If you believe you have additional information that may be of help in reproducing or correcting the error, please contact Salesforce Support. Please indicate the URL of the page you were requesting, any error id shown on this page as well as any other related information. We apologize for the inconvenience.
Thank you again for your patience and assistance. And thanks for using salesforce.com!
Error ID: 78463948-26707 (138448630)

My Permission Set is a part of Managed Package. However I even get this issue if I try to changes field permission in a Permission Set which is NOT a part of Managed Package.

I have tried suggestion from this question: " An internal server error has occurred" - While Assigning Apex Classes to Permission Sets :

I changed next features in User Management Settings:

  • Enhanced Permission Set Component Views
  • Permission Set & Permission Set Group Assignments with Expiration Dates
  • Field-Level Security for Permission Sets during Field Creation

And I compared the setting with the one in my another Dev Org, where everything correct, however I could not find anything that could help.

Also I tried to:

  • Clear browser cache
  • Try a different browser
  • Disable browser extensions
  • Use incognito browsing mode
  • Check Salesforce Trust - everything is good here
  • Verify my user permissions - user has the necessary permissions to modify Object Field Permissions in Permission Sets

But error is still there.

We created a case with Salesforce Support, however I want to know if there is something we can do with this before we get response.

Any help will be appreciated,
Thank you

1 Answer 1

1

This GACK stacktrace(138448630) has been reported by multiple customers too.This happened with the Summer'23 release. The stacktraceId corresponds to the error based on backend logs ApiQueryException: SELECT PermissionSetGroupId FROM PermissionSetGroupComponent WHERE sObject type 'PermissionSetGroupComponent' is not supported. If you are attempting to use a custom object, be sure to append the '__c' after the entity name. Please reference your WSDL or the describe call for the appropriate names.

You can follow the known issue link for status : https://issues.salesforce.com/issue/a028c00000tJK1UAAW/~

3
  • 1
    Good, glad it is not us who broke it. will monitor the known issue. Thank you. Jun 30, 2023 at 11:54
  • 1
    I also came across this partner community post stating they were able to workaround the issue by updating object settings via VS Code Jun 30, 2023 at 12:06
  • 1
    It works for me now!! Nov 9, 2023 at 12:04

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .